﻿using App.VolgaIt.Dto;
using App.VolgaIt.Mappers;
using Infrastructure.VolgaIt;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace App.VolgaIt.Services
{
    public class AdCategoryService
    {
        private UnitOfWork _uow;

        public AdCategoryService(UnitOfWork uow)
        {
            _uow = uow;
        }

        public async Task<List<AdCategoryDto>> GetAllAdCategoryAsync()
        {
            return (await _uow.AdCtgRepo.GetAllEntitiesAsync()).Select(AdCategoryMapper.AdCategoryMapToAdCategoryDto).ToList();
        }
    }
}
