﻿using App.VolgaIt.Dto;
using App.VolgaIt.Mappers;
using Infrastructure.VolgaIt;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace App.VolgaIt.Services
{
    public class AdSubCategoryService
    {
        private UnitOfWork _uow;

        public AdSubCategoryService(UnitOfWork uow)
        {
            _uow = uow;
        }

        public async Task<List<AdSubCategoryDto>> GetAllAdSubCategoryAsync()
        {
            return (await _uow.AdSubCtgRepo.GetAllEntitiesAsync()).Select(AdSubCategoryMapper.AdSubCtgMapToAdSubCtgDto).ToList();
        }
    }
}
