﻿using App.VolgaIt.Dto;
using App.VolgaIt.Mappers;
using Infrastructure.VolgaIt;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace App.VolgaIt.Services
{
    public class AdTypeService
    {
        private UnitOfWork _uow;

        public AdTypeService(UnitOfWork uow)
        {
            _uow = uow;
        }
        public async Task<List<AdTypeDto>> GetAllAdTypesAsync()
        {
            return (await _uow.AdTypeRepo.GetAllEntitiesAsync()).Select(AdTypeMapper.AdTypeMapToAdTypeDto).ToList();
        }
    }
}
