﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Domain.VolgaIt.Entities
{
    public class User
    {
        public Guid Id { get; set; }

        [Required]
        public string Login { get; set; }

        [Required]
        public string Password { get; set; }

        public UserRole Role { get; set; }
        [ForeignKey("Role")]
        public Guid RoleId { get; set; }

        public ICollection<Ad> UserAds { get; set; }
    }
}
