﻿using Infrastructure.VolgaIt.Context;
using Domain.VolgaIt.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.EntityFrameworkCore;

namespace Infrastructure.VolgaIt.Repositories
{
    public class AdSubCategoryRepository : BaseRepository<AdSubCategory>
    {
        private VolgaContext _context;

        public AdSubCategoryRepository(VolgaContext context) : base(context)
        {
            _context = context;
        }

        public override async Task<List<AdSubCategory>> GetAllEntitiesAsync()
        {
            return await _context.AdSubCategories.Include(x => x.AdCategory).ToListAsync();
        }
    }
}
