﻿using App.VolgaIt.Dto;
using App.VolgaIt.Services;
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Web.VolgaIt.Controllers
{
    [ApiController]
    [Route("api/[controller]")]
    public class AdCategoryController : Controller
    {
        private readonly AdCategoryService _adCategoryService;

        public AdCategoryController(AdCategoryService adCategoryService)
        {
            _adCategoryService = adCategoryService;
        }

        [HttpGet("categories")]
        public async Task<List<AdCategoryDto>> GetAllAdCategoryAsync()
        {
            return await _adCategoryService.GetAllAdCategoryAsync();
        }
    }
}
