﻿using Domain.VolgaIt.AppSettings;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;

namespace Web.VolgaIt.Extensions
{
    public static class AppSettingsExtensions
    {
        public static IServiceCollection RegisterAppSettings(this IServiceCollection services, IConfiguration config)
        {
            services.Configure<JwtOpt>(config.GetSection(JwtOpt.JwtOptSection));
            services.Configure<PasswordHashOpt>(config.GetSection(PasswordHashOpt.PasswordHashOptSection));
            return services;
        }
    }
}
