﻿using App.VolgaIt.Services;
using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace App.VolgaIt
{
    public static class AppExtensions
    {
        public static IServiceCollection AddServices(this IServiceCollection services)
        {
            return services.AddScoped<AccountService>()
                .AddScoped<AdCategoryService>()
                .AddScoped<AdSubCategoryService>()
                .AddScoped<AdTypeService>()
                .AddScoped<AdService>()
                .AddScoped<UserService>();
        }
    }
}
