﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Domain.VolgaIt.Entities
{
    public class Ad
    {
        public Guid Id { get; set; }

        [Required]
        public string Name { get; set; }

        public string? Description { get; set; }

        [Required]
        public User User { get; set; }

        [Required]
        public AdCategory Category { get; set; }

        public AdSubCategory? SubCategory { get; set; }

        [Required]
        public AdType AdType { get; set; }
    }
}
