﻿using Infrastructure.VolgaIt.Repositories;
using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Infrastructure.VolgaIt
{
    public static class InfrastructureExtensions
    {
        public static IServiceCollection AddRepository(this IServiceCollection services)
        {
            return services.AddScoped<AdTypeRepository>()
                .AddScoped<UserRepository>()
                .AddScoped<AdRepository>()
                .AddScoped<UserRoleRepository>()
                .AddScoped<AdCategoryRepository>()
                .AddScoped<AdSubCategoryRepository>();
        }
    }
}
