﻿using App.VolgaIt.Dto;
using App.VolgaIt.Services;
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Web.VolgaIt.Controllers
{

    [ApiController]
    [Route("api/[controller]")]
    public class AdSubCategoryController : Controller
    {
        private AdSubCategoryService _adSubCategoryService;

        public AdSubCategoryController(AdSubCategoryService adSubCategoryService)
        {
            _adSubCategoryService = adSubCategoryService;
        }

        [HttpGet("sub-categories")]
        public async Task<List<AdSubCategoryDto>> GetAllAdSubCategoryAsync()
        {
            return await _adSubCategoryService.GetAllAdSubCategoryAsync();
        }
    }
}
