﻿using App.VolgaIt.Dto;
using App.VolgaIt.Services;
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace Web.VolgaIt.Controllers
{
    [ApiController]
    [Route("api/[controller]")]
    public class AdTypeController : Controller
    {
        private readonly AdTypeService _adTypeService;

        public AdTypeController(AdTypeService adTypeService)
        {
            _adTypeService = adTypeService;
        }

        [HttpGet("types")]
        public async Task<List<AdTypeDto>> GetAllAdTypesAsync()
        {
            return await _adTypeService.GetAllAdTypesAsync();
        }
    }
}
